- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.ListConnectorInstanceLogsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.connectors.connectorInstances.logs.list

Lists all ConnectorInstanceLogs for a given ConnectorInstance. Use this method to browse the execution history and diagnostic output of a connector. Supports filtering and pagination to efficiently navigate large volumes of log data.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/logs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list ConnectorInstanceLogs for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors/{connector}/connectorInstances/{connectorInstance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of ConnectorInstanceLogs to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `logs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `logs.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied on the resource. |
| `orderBy` | `string` Optional. The order of the resource to be returned. |

### Request body

The request body must be empty.

### Response body

Response message for listing ConnectorInstanceLogs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs#ConnectorLog`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `logs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.connectors.connectorInstances.logs#ConnectorLog`)`` The list of ConnectorInstanceLogs. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. Total number of ConnectorInstanceLogs. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.connectorInstanceLogs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).